<sqtm-core-creation-dialog
  (add)="addEntity()"
  (addAnother)="addAnother()"
  [asyncTaskRunning]="loading$ | async"
  [attr.data-test-dialog-id]="'new-test-automation-server'"
>
  @if (formGroup) {
    <div class="m-10" [formGroup]="formGroup">
      <div class="sqtm-core-dialog-form p-4">
        <label class="label label__align_right">{{
          'sqtm-core.entity.generic.name.label' | translate
        }}</label>
        <sqtm-core-text-field
          [initialFocus]="true"
          [formGroup]="formGroup"
          [fieldName]="'name'"
          [serverSideFieldValidationError]="serverSideValidationErrors"
        >
        </sqtm-core-text-field>
        <label class="label label__align_right">{{
          'sqtm-core.entity.execution-server.kind.label' | translate
        }}</label>
        <sqtm-core-select-field
          [formGroup]="formGroup"
          [fieldName]="'kind'"
          [options]="availableKindOptions"
          [disabled]="availableKindOptions.length < 2"
        >
        </sqtm-core-select-field>
        <label class="label label__align_right">{{
          'sqtm-core.entity.generic.url.label' | translate
        }}</label>
        <sqtm-core-text-field
          [formGroup]="formGroup"
          [fieldName]="'baseUrl'"
          [serverSideFieldValidationError]="serverSideValidationErrors"
        >
        </sqtm-core-text-field>
        <label class="label label__align_right">{{
          'sqtm-core.entity.generic.description.label' | translate
        }}</label>
        <sqtm-core-rich-text-field
          [formGroup]="formGroup"
          [fieldName]="'description'"
          [serverSideFieldValidationError]="serverSideValidationErrors"
        >
        </sqtm-core-rich-text-field>
      </div>
    </div>
  }
</sqtm-core-creation-dialog>
